/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * require_extensions: GL_ARB_gpu_shader_fp64
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * determinant(dmat2(np.float64(1.6)lf, np.float64(1.53)lf, np.float64(0.76)lf, np.float64(-1.0)lf)) => np.float64(-2.7628000000000004)lf
 * determinant(dmat2(np.float64(-0.13)lf, np.float64(-1.4)lf, np.float64(-0.87)lf, np.float64(1.4)lf)) => np.float64(-1.4)lf
 */
#version 150
#extension GL_ARB_gpu_shader_fp64 : require

void main()
{
  double[distance(determinant(dmat2(np.float64(1.6)lf, np.float64(1.53)lf, np.float64(0.76)lf, np.float64(-1.0)lf)), np.float64(-2.7628000000000004)lf) <= np.float64(2.7628000000000007e-05)lf ? 1 : -1] array0;
  double[distance(determinant(dmat2(np.float64(-0.13)lf, np.float64(-1.4)lf, np.float64(-0.87)lf, np.float64(1.4)lf)), np.float64(-1.4)lf) <= np.float64(1.4e-05)lf ? 1 : -1] array1;
  gl_Position = vec4(array0.length() + array1.length());
}
