/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * require_extensions: GL_ARB_gpu_shader_fp64
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * dot(dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf), dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf)) => np.float64(1.45)lf
 * dot(dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf), dvec2(np.float64(-0.42)lf, np.float64(0.48)lf)) => np.float64(-0.5339999999999999)lf
 * dot(dvec2(np.float64(-0.42)lf, np.float64(0.48)lf), dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf)) => np.float64(-0.5339999999999999)lf
 * dot(dvec2(np.float64(-0.42)lf, np.float64(0.48)lf), dvec2(np.float64(-0.42)lf, np.float64(0.48)lf)) => np.float64(0.40679999999999994)lf
 */
#version 150
#extension GL_ARB_gpu_shader_fp64 : require

void main()
{
  double[distance(dot(dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf), dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf)), np.float64(1.45)lf) <= np.float64(1.45e-05)lf ? 1 : -1] array0;
  double[distance(dot(dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf), dvec2(np.float64(-0.42)lf, np.float64(0.48)lf)), np.float64(-0.5339999999999999)lf) <= np.float64(5.34e-06)lf ? 1 : -1] array1;
  double[distance(dot(dvec2(np.float64(-0.42)lf, np.float64(0.48)lf), dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf)), np.float64(-0.5339999999999999)lf) <= np.float64(5.34e-06)lf ? 1 : -1] array2;
  double[distance(dot(dvec2(np.float64(-0.42)lf, np.float64(0.48)lf), dvec2(np.float64(-0.42)lf, np.float64(0.48)lf)), np.float64(0.40679999999999994)lf) <= np.float64(4.068e-06)lf ? 1 : -1] array3;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
