/* [config]
 * expect_result: pass
 * glsl_version: 4.00
 * require_extensions: GL_ARB_gpu_shader_int64
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (np.uint64(0)ul % u64vec4(np.uint64(165)ul, np.uint64(133)ul, np.uint64(193)ul, np.uint64(76)ul)) => u64vec4(np.uint64(0)ul, np.uint64(0)ul, np.uint64(0)ul, np.uint64(0)ul)
 * (np.uint64(3)ul % u64vec4(np.uint64(165)ul, np.uint64(133)ul, np.uint64(193)ul, np.uint64(76)ul)) => u64vec4(np.uint64(3)ul, np.uint64(3)ul, np.uint64(3)ul, np.uint64(3)ul)
 * (np.uint64(1192)ul % u64vec4(np.uint64(165)ul, np.uint64(133)ul, np.uint64(193)ul, np.uint64(76)ul)) => u64vec4(np.uint64(37)ul, np.uint64(128)ul, np.uint64(34)ul, np.uint64(52)ul)
 * (np.uint64(1048576)ul % u64vec4(np.uint64(165)ul, np.uint64(133)ul, np.uint64(193)ul, np.uint64(76)ul)) => u64vec4(np.uint64(1)ul, np.uint64(4)ul, np.uint64(7)ul, np.uint64(4)ul)
 * (np.uint64(4251475)ul % u64vec4(np.uint64(165)ul, np.uint64(133)ul, np.uint64(193)ul, np.uint64(76)ul)) => u64vec4(np.uint64(85)ul, np.uint64(130)ul, np.uint64(71)ul, np.uint64(35)ul)
 * (np.uint64(29852643761)ul % u64vec4(np.uint64(165)ul, np.uint64(133)ul, np.uint64(193)ul, np.uint64(76)ul)) => u64vec4(np.uint64(116)ul, np.uint64(17)ul, np.uint64(131)ul, np.uint64(17)ul)
 * (np.uint64(4398046511104)ul % u64vec4(np.uint64(165)ul, np.uint64(133)ul, np.uint64(193)ul, np.uint64(76)ul)) => u64vec4(np.uint64(4)ul, np.uint64(64)ul, np.uint64(3)ul, np.uint64(64)ul)
 * (np.uint64(3948976685146)ul % u64vec4(np.uint64(165)ul, np.uint64(133)ul, np.uint64(193)ul, np.uint64(76)ul)) => u64vec4(np.uint64(31)ul, np.uint64(87)ul, np.uint64(4)ul, np.uint64(30)ul)
 * (np.uint64(135763469567146206)ul % u64vec4(np.uint64(165)ul, np.uint64(133)ul, np.uint64(193)ul, np.uint64(76)ul)) => u64vec4(np.uint64(126)ul, np.uint64(30)ul, np.uint64(118)ul, np.uint64(30)ul)
 * (np.uint64(11654173250180970009)ul % u64vec4(np.uint64(165)ul, np.uint64(133)ul, np.uint64(193)ul, np.uint64(76)ul)) => u64vec4(np.uint64(39)ul, np.uint64(130)ul, np.uint64(156)ul, np.uint64(73)ul)
 */
#version 400
#extension GL_ARB_gpu_shader_int64 : require

void main()
{
  float[all(equal((np.uint64(0)ul % u64vec4(np.uint64(165)ul, np.uint64(133)ul, np.uint64(193)ul, np.uint64(76)ul)), u64vec4(np.uint64(0)ul, np.uint64(0)ul, np.uint64(0)ul, np.uint64(0)ul))) ? 1 : -1] array0;
  float[all(equal((np.uint64(3)ul % u64vec4(np.uint64(165)ul, np.uint64(133)ul, np.uint64(193)ul, np.uint64(76)ul)), u64vec4(np.uint64(3)ul, np.uint64(3)ul, np.uint64(3)ul, np.uint64(3)ul))) ? 1 : -1] array1;
  float[all(equal((np.uint64(1192)ul % u64vec4(np.uint64(165)ul, np.uint64(133)ul, np.uint64(193)ul, np.uint64(76)ul)), u64vec4(np.uint64(37)ul, np.uint64(128)ul, np.uint64(34)ul, np.uint64(52)ul))) ? 1 : -1] array2;
  float[all(equal((np.uint64(1048576)ul % u64vec4(np.uint64(165)ul, np.uint64(133)ul, np.uint64(193)ul, np.uint64(76)ul)), u64vec4(np.uint64(1)ul, np.uint64(4)ul, np.uint64(7)ul, np.uint64(4)ul))) ? 1 : -1] array3;
  float[all(equal((np.uint64(4251475)ul % u64vec4(np.uint64(165)ul, np.uint64(133)ul, np.uint64(193)ul, np.uint64(76)ul)), u64vec4(np.uint64(85)ul, np.uint64(130)ul, np.uint64(71)ul, np.uint64(35)ul))) ? 1 : -1] array4;
  float[all(equal((np.uint64(29852643761)ul % u64vec4(np.uint64(165)ul, np.uint64(133)ul, np.uint64(193)ul, np.uint64(76)ul)), u64vec4(np.uint64(116)ul, np.uint64(17)ul, np.uint64(131)ul, np.uint64(17)ul))) ? 1 : -1] array5;
  float[all(equal((np.uint64(4398046511104)ul % u64vec4(np.uint64(165)ul, np.uint64(133)ul, np.uint64(193)ul, np.uint64(76)ul)), u64vec4(np.uint64(4)ul, np.uint64(64)ul, np.uint64(3)ul, np.uint64(64)ul))) ? 1 : -1] array6;
  float[all(equal((np.uint64(3948976685146)ul % u64vec4(np.uint64(165)ul, np.uint64(133)ul, np.uint64(193)ul, np.uint64(76)ul)), u64vec4(np.uint64(31)ul, np.uint64(87)ul, np.uint64(4)ul, np.uint64(30)ul))) ? 1 : -1] array7;
  float[all(equal((np.uint64(135763469567146206)ul % u64vec4(np.uint64(165)ul, np.uint64(133)ul, np.uint64(193)ul, np.uint64(76)ul)), u64vec4(np.uint64(126)ul, np.uint64(30)ul, np.uint64(118)ul, np.uint64(30)ul))) ? 1 : -1] array8;
  float[all(equal((np.uint64(11654173250180970009)ul % u64vec4(np.uint64(165)ul, np.uint64(133)ul, np.uint64(193)ul, np.uint64(76)ul)), u64vec4(np.uint64(39)ul, np.uint64(130)ul, np.uint64(156)ul, np.uint64(73)ul))) ? 1 : -1] array9;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length());
}
