/* [config]
 * expect_result: pass
 * glsl_version: 4.00
 * require_extensions: GL_ARB_gpu_shader_int64
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (i64vec4(np.int64(165)l, np.int64(133)l, np.int64(193)l, np.int64(76)l) >> np.int32(0)) => i64vec4(np.int64(165)l, np.int64(133)l, np.int64(193)l, np.int64(76)l)
 * (i64vec4(np.int64(165)l, np.int64(133)l, np.int64(193)l, np.int64(76)l) >> np.int32(1)) => i64vec4(np.int64(82)l, np.int64(66)l, np.int64(96)l, np.int64(38)l)
 * (i64vec4(np.int64(165)l, np.int64(133)l, np.int64(193)l, np.int64(76)l) >> np.int32(2)) => i64vec4(np.int64(41)l, np.int64(33)l, np.int64(48)l, np.int64(19)l)
 * (i64vec4(np.int64(165)l, np.int64(133)l, np.int64(193)l, np.int64(76)l) >> np.int32(5)) => i64vec4(np.int64(5)l, np.int64(4)l, np.int64(6)l, np.int64(2)l)
 * (i64vec4(np.int64(165)l, np.int64(133)l, np.int64(193)l, np.int64(76)l) >> np.int32(25)) => i64vec4(np.int64(0)l, np.int64(0)l, np.int64(0)l, np.int64(0)l)
 * (i64vec4(np.int64(165)l, np.int64(133)l, np.int64(193)l, np.int64(76)l) >> np.int32(31)) => i64vec4(np.int64(0)l, np.int64(0)l, np.int64(0)l, np.int64(0)l)
 * (i64vec4(np.int64(80)l, np.int64(-15)l, np.int64(-51)l, np.int64(0)l) >> np.int32(0)) => i64vec4(np.int64(80)l, np.int64(-15)l, np.int64(-51)l, np.int64(0)l)
 * (i64vec4(np.int64(80)l, np.int64(-15)l, np.int64(-51)l, np.int64(0)l) >> np.int32(1)) => i64vec4(np.int64(40)l, np.int64(-8)l, np.int64(-26)l, np.int64(0)l)
 * (i64vec4(np.int64(80)l, np.int64(-15)l, np.int64(-51)l, np.int64(0)l) >> np.int32(2)) => i64vec4(np.int64(20)l, np.int64(-4)l, np.int64(-13)l, np.int64(0)l)
 * (i64vec4(np.int64(80)l, np.int64(-15)l, np.int64(-51)l, np.int64(0)l) >> np.int32(5)) => i64vec4(np.int64(2)l, np.int64(-1)l, np.int64(-2)l, np.int64(0)l)
 * (i64vec4(np.int64(80)l, np.int64(-15)l, np.int64(-51)l, np.int64(0)l) >> np.int32(25)) => i64vec4(np.int64(0)l, np.int64(-1)l, np.int64(-1)l, np.int64(0)l)
 * (i64vec4(np.int64(80)l, np.int64(-15)l, np.int64(-51)l, np.int64(0)l) >> np.int32(31)) => i64vec4(np.int64(0)l, np.int64(-1)l, np.int64(-1)l, np.int64(0)l)
 */
#version 400
#extension GL_ARB_gpu_shader_int64 : require

void main()
{
  float[all(equal((i64vec4(np.int64(165)l, np.int64(133)l, np.int64(193)l, np.int64(76)l) >> np.int32(0)), i64vec4(np.int64(165)l, np.int64(133)l, np.int64(193)l, np.int64(76)l))) ? 1 : -1] array0;
  float[all(equal((i64vec4(np.int64(165)l, np.int64(133)l, np.int64(193)l, np.int64(76)l) >> np.int32(1)), i64vec4(np.int64(82)l, np.int64(66)l, np.int64(96)l, np.int64(38)l))) ? 1 : -1] array1;
  float[all(equal((i64vec4(np.int64(165)l, np.int64(133)l, np.int64(193)l, np.int64(76)l) >> np.int32(2)), i64vec4(np.int64(41)l, np.int64(33)l, np.int64(48)l, np.int64(19)l))) ? 1 : -1] array2;
  float[all(equal((i64vec4(np.int64(165)l, np.int64(133)l, np.int64(193)l, np.int64(76)l) >> np.int32(5)), i64vec4(np.int64(5)l, np.int64(4)l, np.int64(6)l, np.int64(2)l))) ? 1 : -1] array3;
  float[all(equal((i64vec4(np.int64(165)l, np.int64(133)l, np.int64(193)l, np.int64(76)l) >> np.int32(25)), i64vec4(np.int64(0)l, np.int64(0)l, np.int64(0)l, np.int64(0)l))) ? 1 : -1] array4;
  float[all(equal((i64vec4(np.int64(165)l, np.int64(133)l, np.int64(193)l, np.int64(76)l) >> np.int32(31)), i64vec4(np.int64(0)l, np.int64(0)l, np.int64(0)l, np.int64(0)l))) ? 1 : -1] array5;
  float[all(equal((i64vec4(np.int64(80)l, np.int64(-15)l, np.int64(-51)l, np.int64(0)l) >> np.int32(0)), i64vec4(np.int64(80)l, np.int64(-15)l, np.int64(-51)l, np.int64(0)l))) ? 1 : -1] array6;
  float[all(equal((i64vec4(np.int64(80)l, np.int64(-15)l, np.int64(-51)l, np.int64(0)l) >> np.int32(1)), i64vec4(np.int64(40)l, np.int64(-8)l, np.int64(-26)l, np.int64(0)l))) ? 1 : -1] array7;
  float[all(equal((i64vec4(np.int64(80)l, np.int64(-15)l, np.int64(-51)l, np.int64(0)l) >> np.int32(2)), i64vec4(np.int64(20)l, np.int64(-4)l, np.int64(-13)l, np.int64(0)l))) ? 1 : -1] array8;
  float[all(equal((i64vec4(np.int64(80)l, np.int64(-15)l, np.int64(-51)l, np.int64(0)l) >> np.int32(5)), i64vec4(np.int64(2)l, np.int64(-1)l, np.int64(-2)l, np.int64(0)l))) ? 1 : -1] array9;
  float[all(equal((i64vec4(np.int64(80)l, np.int64(-15)l, np.int64(-51)l, np.int64(0)l) >> np.int32(25)), i64vec4(np.int64(0)l, np.int64(-1)l, np.int64(-1)l, np.int64(0)l))) ? 1 : -1] array10;
  float[all(equal((i64vec4(np.int64(80)l, np.int64(-15)l, np.int64(-51)l, np.int64(0)l) >> np.int32(31)), i64vec4(np.int64(0)l, np.int64(-1)l, np.int64(-1)l, np.int64(0)l))) ? 1 : -1] array11;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length() + array10.length() + array11.length());
}
