/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * dot(vec4(np.float32(-1.65), np.float32(1.33), np.float32(1.93), np.float32(0.76)), vec4(np.float32(-1.65), np.float32(1.33), np.float32(1.93), np.float32(0.76))) => np.float32(8.7939)
 * dot(vec4(np.float32(-1.65), np.float32(1.33), np.float32(1.93), np.float32(0.76)), vec4(np.float32(0.8), np.float32(-0.15), np.float32(-0.51), np.float32(0.0))) => np.float32(-2.5038)
 * dot(vec4(np.float32(0.8), np.float32(-0.15), np.float32(-0.51), np.float32(0.0)), vec4(np.float32(-1.65), np.float32(1.33), np.float32(1.93), np.float32(0.76))) => np.float32(-2.5038)
 * dot(vec4(np.float32(0.8), np.float32(-0.15), np.float32(-0.51), np.float32(0.0)), vec4(np.float32(0.8), np.float32(-0.15), np.float32(-0.51), np.float32(0.0))) => np.float32(0.92260003)
 */
#version 120

void main()
{
  float[distance(dot(vec4(np.float32(-1.65), np.float32(1.33), np.float32(1.93), np.float32(0.76)), vec4(np.float32(-1.65), np.float32(1.33), np.float32(1.93), np.float32(0.76))), np.float32(8.7939)) <= np.float32(8.7939e-05) ? 1 : -1] array0;
  float[distance(dot(vec4(np.float32(-1.65), np.float32(1.33), np.float32(1.93), np.float32(0.76)), vec4(np.float32(0.8), np.float32(-0.15), np.float32(-0.51), np.float32(0.0))), np.float32(-2.5038)) <= np.float32(2.5038e-05) ? 1 : -1] array1;
  float[distance(dot(vec4(np.float32(0.8), np.float32(-0.15), np.float32(-0.51), np.float32(0.0)), vec4(np.float32(-1.65), np.float32(1.33), np.float32(1.93), np.float32(0.76))), np.float32(-2.5038)) <= np.float32(2.5038e-05) ? 1 : -1] array2;
  float[distance(dot(vec4(np.float32(0.8), np.float32(-0.15), np.float32(-0.51), np.float32(0.0)), vec4(np.float32(0.8), np.float32(-0.15), np.float32(-0.51), np.float32(0.0))), np.float32(0.92260003)) <= np.float32(9.226e-06) ? 1 : -1] array3;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
