/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * inversesqrt(vec2(np.float32(0.1), np.float32(0.73333335))) => vec2(np.float32(3.1622777), np.float32(1.1677485))
 * inversesqrt(vec2(np.float32(1.3666667), np.float32(2.0))) => vec2(np.float32(0.8553989), np.float32(0.70710677))
 */
#version 120

void main()
{
  float[distance(inversesqrt(vec2(np.float32(0.1), np.float32(0.73333335))), vec2(np.float32(3.1622777), np.float32(1.1677485))) <= np.float32(3.3709992e-05) ? 1 : -1] array0;
  float[distance(inversesqrt(vec2(np.float32(1.3666667), np.float32(2.0))), vec2(np.float32(0.8553989), np.float32(0.70710677))) <= np.float32(1.1098232e-05) ? 1 : -1] array1;
  gl_FragColor = vec4(array0.length() + array1.length());
}
