/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (np.float32(0.0) + mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0))) => mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0))
 * (np.float32(0.0) + mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4))) => mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4))
 * (np.float32(-1.33) + mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0))) => mat2(np.float32(0.26999998), np.float32(0.19999993), np.float32(-0.57000005), np.float32(-2.33))
 * (np.float32(-1.33) + mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4))) => mat2(np.float32(-1.46), np.float32(-2.73), np.float32(-2.2), np.float32(0.06999993))
 * (np.float32(0.85) + mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0))) => mat2(np.float32(2.45), np.float32(2.38), np.float32(1.61), np.float32(-0.14999998))
 * (np.float32(0.85) + mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4))) => mat2(np.float32(0.72), np.float32(-0.54999995), np.float32(-0.01999998), np.float32(2.25))
 */
#version 120

void main()
{
  float[pow(distance((np.float32(0.0) + mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0)))[0], vec2(np.float32(1.6), np.float32(1.53))), 2) + pow(distance((np.float32(0.0) + mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0)))[1], vec2(np.float32(0.76), np.float32(-1.0))), 2) <= np.float32(6.4784994e-10) ? 1 : -1] array0;
  float[pow(distance((np.float32(0.0) + mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4)))[0], vec2(np.float32(-0.13), np.float32(-1.4))), 2) + pow(distance((np.float32(0.0) + mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4)))[1], vec2(np.float32(-0.87), np.float32(1.4))), 2) <= np.float32(4.6938e-10) ? 1 : -1] array1;
  float[pow(distance((np.float32(-1.33) + mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0)))[0], vec2(np.float32(0.26999998), np.float32(0.19999993))), 2) + pow(distance((np.float32(-1.33) + mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0)))[1], vec2(np.float32(-0.57000005), np.float32(-2.33))), 2) <= np.float32(5.8667e-10) ? 1 : -1] array2;
  float[pow(distance((np.float32(-1.33) + mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4)))[0], vec2(np.float32(-1.46), np.float32(-2.73))), 2) + pow(distance((np.float32(-1.33) + mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4)))[1], vec2(np.float32(-2.2), np.float32(0.06999993))), 2) <= np.float32(1.44294e-09) ? 1 : -1] array3;
  float[pow(distance((np.float32(0.85) + mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0)))[0], vec2(np.float32(2.45), np.float32(2.38))), 2) + pow(distance((np.float32(0.85) + mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0)))[1], vec2(np.float32(1.61), np.float32(-0.14999998))), 2) <= np.float32(1.42815e-09) ? 1 : -1] array4;
  float[pow(distance((np.float32(0.85) + mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4)))[0], vec2(np.float32(0.72), np.float32(-0.54999995))), 2) + pow(distance((np.float32(0.85) + mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4)))[1], vec2(np.float32(-0.01999998), np.float32(2.25))), 2) <= np.float32(5.8838e-10) ? 1 : -1] array5;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length());
}
