/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (np.float32(0.0) / vec4(np.float32(-1.65), np.float32(1.33), np.float32(1.93), np.float32(0.76))) => vec4(np.float32(-0.0), np.float32(0.0), np.float32(0.0), np.float32(0.0))
 * (np.float32(-1.33) / vec4(np.float32(-1.65), np.float32(1.33), np.float32(1.93), np.float32(0.76))) => vec4(np.float32(0.8060607), np.float32(-1.0), np.float32(-0.6891192), np.float32(-1.7500001))
 * (np.float32(0.85) / vec4(np.float32(-1.65), np.float32(1.33), np.float32(1.93), np.float32(0.76))) => vec4(np.float32(-0.51515156), np.float32(0.63909775), np.float32(0.44041452), np.float32(1.1184211))
 */
#version 120

void main()
{
  float[distance((np.float32(0.0) / vec4(np.float32(-1.65), np.float32(1.33), np.float32(1.93), np.float32(0.76))), vec4(np.float32(-0.0), np.float32(0.0), np.float32(0.0), np.float32(0.0))) <= np.float32(0.0) ? 1 : -1] array0;
  float[distance((np.float32(-1.33) / vec4(np.float32(-1.65), np.float32(1.33), np.float32(1.93), np.float32(0.76))), vec4(np.float32(0.8060607), np.float32(-1.0), np.float32(-0.6891192), np.float32(-1.7500001))) <= np.float32(2.2775248e-05) ? 1 : -1] array1;
  float[distance((np.float32(0.85) / vec4(np.float32(-1.65), np.float32(1.33), np.float32(1.93), np.float32(0.76))), vec4(np.float32(-0.51515156), np.float32(0.63909775), np.float32(0.44041452), np.float32(1.1184211))) <= np.float32(1.455561e-05) ? 1 : -1] array2;
  gl_Position = vec4(array0.length() + array1.length() + array2.length());
}
