/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u) / uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u)) => uvec4(np.uint32(1)u, np.uint32(1)u, np.uint32(1)u, np.uint32(1)u)
 * (uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u) / uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u)) => uvec4(np.uint32(2)u, np.uint32(1)u, np.uint32(3)u, np.uint32(1)u)
 * (uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u) / uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u)) => uvec4(np.uint32(0)u, np.uint32(0)u, np.uint32(0)u, np.uint32(0)u)
 * (uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u) / uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u)) => uvec4(np.uint32(1)u, np.uint32(1)u, np.uint32(1)u, np.uint32(1)u)
 */
#version 130

void main()
{
  float[all(equal((uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u) / uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u)), uvec4(np.uint32(1)u, np.uint32(1)u, np.uint32(1)u, np.uint32(1)u))) ? 1 : -1] array0;
  float[all(equal((uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u) / uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u)), uvec4(np.uint32(2)u, np.uint32(1)u, np.uint32(3)u, np.uint32(1)u))) ? 1 : -1] array1;
  float[all(equal((uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u) / uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u)), uvec4(np.uint32(0)u, np.uint32(0)u, np.uint32(0)u, np.uint32(0)u))) ? 1 : -1] array2;
  float[all(equal((uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u) / uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u)), uvec4(np.uint32(1)u, np.uint32(1)u, np.uint32(1)u, np.uint32(1)u))) ? 1 : -1] array3;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
