/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * mix(vec4(np.float32(-2.0), np.float32(-2.0), np.float32(2.0), np.float32(2.0)), vec4(np.float32(-3.0), np.float32(3.0), np.float32(-3.0), np.float32(3.0)), np.float32(0.0)) => vec4(np.float32(-2.0), np.float32(-2.0), np.float32(2.0), np.float32(2.0))
 * mix(vec4(np.float32(-2.0), np.float32(-2.0), np.float32(2.0), np.float32(2.0)), vec4(np.float32(-3.0), np.float32(3.0), np.float32(-3.0), np.float32(3.0)), np.float32(0.33333334)) => vec4(np.float32(-2.3333333), np.float32(-0.33333328), np.float32(0.33333328), np.float32(2.3333333))
 * mix(vec4(np.float32(-2.0), np.float32(-2.0), np.float32(2.0), np.float32(2.0)), vec4(np.float32(-3.0), np.float32(3.0), np.float32(-3.0), np.float32(3.0)), np.float32(0.6666667)) => vec4(np.float32(-2.6666667), np.float32(1.3333335), np.float32(-1.3333335), np.float32(2.6666667))
 * mix(vec4(np.float32(-2.0), np.float32(-2.0), np.float32(2.0), np.float32(2.0)), vec4(np.float32(-3.0), np.float32(3.0), np.float32(-3.0), np.float32(3.0)), np.float32(1.0)) => vec4(np.float32(-3.0), np.float32(3.0), np.float32(-3.0), np.float32(3.0))
 */
#version 150

void main()
{
  float[distance(mix(vec4(np.float32(-2.0), np.float32(-2.0), np.float32(2.0), np.float32(2.0)), vec4(np.float32(-3.0), np.float32(3.0), np.float32(-3.0), np.float32(3.0)), np.float32(0.0)), vec4(np.float32(-2.0), np.float32(-2.0), np.float32(2.0), np.float32(2.0))) <= np.float32(4e-05) ? 1 : -1] array0;
  float[distance(mix(vec4(np.float32(-2.0), np.float32(-2.0), np.float32(2.0), np.float32(2.0)), vec4(np.float32(-3.0), np.float32(3.0), np.float32(-3.0), np.float32(3.0)), np.float32(0.33333334)), vec4(np.float32(-2.3333333), np.float32(-0.33333328), np.float32(0.33333328), np.float32(2.3333333))) <= np.float32(3.3333334e-05) ? 1 : -1] array1;
  float[distance(mix(vec4(np.float32(-2.0), np.float32(-2.0), np.float32(2.0), np.float32(2.0)), vec4(np.float32(-3.0), np.float32(3.0), np.float32(-3.0), np.float32(3.0)), np.float32(0.6666667)), vec4(np.float32(-2.6666667), np.float32(1.3333335), np.float32(-1.3333335), np.float32(2.6666667))) <= np.float32(4.2163705e-05) ? 1 : -1] array2;
  float[distance(mix(vec4(np.float32(-2.0), np.float32(-2.0), np.float32(2.0), np.float32(2.0)), vec4(np.float32(-3.0), np.float32(3.0), np.float32(-3.0), np.float32(3.0)), np.float32(1.0)), vec4(np.float32(-3.0), np.float32(3.0), np.float32(-3.0), np.float32(3.0))) <= np.float32(6e-05) ? 1 : -1] array3;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
