/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (np.int32(12) & (~ ivec3(np.int32(-36), np.int32(32), np.int32(-88)))) => ivec3(np.int32(0), np.int32(12), np.int32(4))
 * (np.int32(12) & (~ ivec3(np.int32(36), np.int32(32), np.int32(88)))) => ivec3(np.int32(8), np.int32(12), np.int32(4))
 * (np.int32(12) & (~ ivec3(np.int32(59), np.int32(77), np.int32(68)))) => ivec3(np.int32(4), np.int32(0), np.int32(8))
 * (np.int32(-6) & (~ ivec3(np.int32(-36), np.int32(32), np.int32(-88)))) => ivec3(np.int32(34), np.int32(-38), np.int32(82))
 * (np.int32(-6) & (~ ivec3(np.int32(36), np.int32(32), np.int32(88)))) => ivec3(np.int32(-38), np.int32(-38), np.int32(-94))
 * (np.int32(-6) & (~ ivec3(np.int32(59), np.int32(77), np.int32(68)))) => ivec3(np.int32(-64), np.int32(-78), np.int32(-70))
 * (np.int32(76) & (~ ivec3(np.int32(-36), np.int32(32), np.int32(-88)))) => ivec3(np.int32(0), np.int32(76), np.int32(68))
 * (np.int32(76) & (~ ivec3(np.int32(36), np.int32(32), np.int32(88)))) => ivec3(np.int32(72), np.int32(76), np.int32(4))
 * (np.int32(76) & (~ ivec3(np.int32(59), np.int32(77), np.int32(68)))) => ivec3(np.int32(68), np.int32(0), np.int32(8))
 * (np.int32(-32) & (~ ivec3(np.int32(-36), np.int32(32), np.int32(-88)))) => ivec3(np.int32(32), np.int32(-64), np.int32(64))
 * (np.int32(-32) & (~ ivec3(np.int32(36), np.int32(32), np.int32(88)))) => ivec3(np.int32(-64), np.int32(-64), np.int32(-96))
 * (np.int32(-32) & (~ ivec3(np.int32(59), np.int32(77), np.int32(68)))) => ivec3(np.int32(-64), np.int32(-96), np.int32(-96))
 * (np.int32(0) & (~ ivec3(np.int32(-36), np.int32(32), np.int32(-88)))) => ivec3(np.int32(0), np.int32(0), np.int32(0))
 * (np.int32(0) & (~ ivec3(np.int32(36), np.int32(32), np.int32(88)))) => ivec3(np.int32(0), np.int32(0), np.int32(0))
 * (np.int32(0) & (~ ivec3(np.int32(59), np.int32(77), np.int32(68)))) => ivec3(np.int32(0), np.int32(0), np.int32(0))
 */
#version 150

void main()
{
  float[all(equal((np.int32(12) & (~ ivec3(np.int32(-36), np.int32(32), np.int32(-88)))), ivec3(np.int32(0), np.int32(12), np.int32(4)))) ? 1 : -1] array0;
  float[all(equal((np.int32(12) & (~ ivec3(np.int32(36), np.int32(32), np.int32(88)))), ivec3(np.int32(8), np.int32(12), np.int32(4)))) ? 1 : -1] array1;
  float[all(equal((np.int32(12) & (~ ivec3(np.int32(59), np.int32(77), np.int32(68)))), ivec3(np.int32(4), np.int32(0), np.int32(8)))) ? 1 : -1] array2;
  float[all(equal((np.int32(-6) & (~ ivec3(np.int32(-36), np.int32(32), np.int32(-88)))), ivec3(np.int32(34), np.int32(-38), np.int32(82)))) ? 1 : -1] array3;
  float[all(equal((np.int32(-6) & (~ ivec3(np.int32(36), np.int32(32), np.int32(88)))), ivec3(np.int32(-38), np.int32(-38), np.int32(-94)))) ? 1 : -1] array4;
  float[all(equal((np.int32(-6) & (~ ivec3(np.int32(59), np.int32(77), np.int32(68)))), ivec3(np.int32(-64), np.int32(-78), np.int32(-70)))) ? 1 : -1] array5;
  float[all(equal((np.int32(76) & (~ ivec3(np.int32(-36), np.int32(32), np.int32(-88)))), ivec3(np.int32(0), np.int32(76), np.int32(68)))) ? 1 : -1] array6;
  float[all(equal((np.int32(76) & (~ ivec3(np.int32(36), np.int32(32), np.int32(88)))), ivec3(np.int32(72), np.int32(76), np.int32(4)))) ? 1 : -1] array7;
  float[all(equal((np.int32(76) & (~ ivec3(np.int32(59), np.int32(77), np.int32(68)))), ivec3(np.int32(68), np.int32(0), np.int32(8)))) ? 1 : -1] array8;
  float[all(equal((np.int32(-32) & (~ ivec3(np.int32(-36), np.int32(32), np.int32(-88)))), ivec3(np.int32(32), np.int32(-64), np.int32(64)))) ? 1 : -1] array9;
  float[all(equal((np.int32(-32) & (~ ivec3(np.int32(36), np.int32(32), np.int32(88)))), ivec3(np.int32(-64), np.int32(-64), np.int32(-96)))) ? 1 : -1] array10;
  float[all(equal((np.int32(-32) & (~ ivec3(np.int32(59), np.int32(77), np.int32(68)))), ivec3(np.int32(-64), np.int32(-96), np.int32(-96)))) ? 1 : -1] array11;
  float[all(equal((np.int32(0) & (~ ivec3(np.int32(-36), np.int32(32), np.int32(-88)))), ivec3(np.int32(0), np.int32(0), np.int32(0)))) ? 1 : -1] array12;
  float[all(equal((np.int32(0) & (~ ivec3(np.int32(36), np.int32(32), np.int32(88)))), ivec3(np.int32(0), np.int32(0), np.int32(0)))) ? 1 : -1] array13;
  float[all(equal((np.int32(0) & (~ ivec3(np.int32(59), np.int32(77), np.int32(68)))), ivec3(np.int32(0), np.int32(0), np.int32(0)))) ? 1 : -1] array14;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length() + array10.length() + array11.length() + array12.length() + array13.length() + array14.length());
}
