/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (ivec3(np.int32(-36), np.int32(32), np.int32(-88)) ^ (~ abs(np.int32(12)))) => ivec3(np.int32(47), np.int32(-45), np.int32(91))
 * (ivec3(np.int32(-36), np.int32(32), np.int32(-88)) ^ (~ abs(np.int32(-6)))) => ivec3(np.int32(37), np.int32(-39), np.int32(81))
 * (ivec3(np.int32(-36), np.int32(32), np.int32(-88)) ^ (~ abs(np.int32(76)))) => ivec3(np.int32(111), np.int32(-109), np.int32(27))
 * (ivec3(np.int32(-36), np.int32(32), np.int32(-88)) ^ (~ abs(np.int32(-32)))) => ivec3(np.int32(3), np.int32(-1), np.int32(119))
 * (ivec3(np.int32(-36), np.int32(32), np.int32(-88)) ^ (~ abs(np.int32(0)))) => ivec3(np.int32(35), np.int32(-33), np.int32(87))
 * (ivec3(np.int32(36), np.int32(32), np.int32(88)) ^ (~ abs(np.int32(12)))) => ivec3(np.int32(-41), np.int32(-45), np.int32(-85))
 * (ivec3(np.int32(36), np.int32(32), np.int32(88)) ^ (~ abs(np.int32(-6)))) => ivec3(np.int32(-35), np.int32(-39), np.int32(-95))
 * (ivec3(np.int32(36), np.int32(32), np.int32(88)) ^ (~ abs(np.int32(76)))) => ivec3(np.int32(-105), np.int32(-109), np.int32(-21))
 * (ivec3(np.int32(36), np.int32(32), np.int32(88)) ^ (~ abs(np.int32(-32)))) => ivec3(np.int32(-5), np.int32(-1), np.int32(-121))
 * (ivec3(np.int32(36), np.int32(32), np.int32(88)) ^ (~ abs(np.int32(0)))) => ivec3(np.int32(-37), np.int32(-33), np.int32(-89))
 * (ivec3(np.int32(59), np.int32(77), np.int32(68)) ^ (~ abs(np.int32(12)))) => ivec3(np.int32(-56), np.int32(-66), np.int32(-73))
 * (ivec3(np.int32(59), np.int32(77), np.int32(68)) ^ (~ abs(np.int32(-6)))) => ivec3(np.int32(-62), np.int32(-76), np.int32(-67))
 * (ivec3(np.int32(59), np.int32(77), np.int32(68)) ^ (~ abs(np.int32(76)))) => ivec3(np.int32(-120), np.int32(-2), np.int32(-9))
 * (ivec3(np.int32(59), np.int32(77), np.int32(68)) ^ (~ abs(np.int32(-32)))) => ivec3(np.int32(-28), np.int32(-110), np.int32(-101))
 * (ivec3(np.int32(59), np.int32(77), np.int32(68)) ^ (~ abs(np.int32(0)))) => ivec3(np.int32(-60), np.int32(-78), np.int32(-69))
 */
#version 150

void main()
{
  float[all(equal((ivec3(np.int32(-36), np.int32(32), np.int32(-88)) ^ (~ abs(np.int32(12)))), ivec3(np.int32(47), np.int32(-45), np.int32(91)))) ? 1 : -1] array0;
  float[all(equal((ivec3(np.int32(-36), np.int32(32), np.int32(-88)) ^ (~ abs(np.int32(-6)))), ivec3(np.int32(37), np.int32(-39), np.int32(81)))) ? 1 : -1] array1;
  float[all(equal((ivec3(np.int32(-36), np.int32(32), np.int32(-88)) ^ (~ abs(np.int32(76)))), ivec3(np.int32(111), np.int32(-109), np.int32(27)))) ? 1 : -1] array2;
  float[all(equal((ivec3(np.int32(-36), np.int32(32), np.int32(-88)) ^ (~ abs(np.int32(-32)))), ivec3(np.int32(3), np.int32(-1), np.int32(119)))) ? 1 : -1] array3;
  float[all(equal((ivec3(np.int32(-36), np.int32(32), np.int32(-88)) ^ (~ abs(np.int32(0)))), ivec3(np.int32(35), np.int32(-33), np.int32(87)))) ? 1 : -1] array4;
  float[all(equal((ivec3(np.int32(36), np.int32(32), np.int32(88)) ^ (~ abs(np.int32(12)))), ivec3(np.int32(-41), np.int32(-45), np.int32(-85)))) ? 1 : -1] array5;
  float[all(equal((ivec3(np.int32(36), np.int32(32), np.int32(88)) ^ (~ abs(np.int32(-6)))), ivec3(np.int32(-35), np.int32(-39), np.int32(-95)))) ? 1 : -1] array6;
  float[all(equal((ivec3(np.int32(36), np.int32(32), np.int32(88)) ^ (~ abs(np.int32(76)))), ivec3(np.int32(-105), np.int32(-109), np.int32(-21)))) ? 1 : -1] array7;
  float[all(equal((ivec3(np.int32(36), np.int32(32), np.int32(88)) ^ (~ abs(np.int32(-32)))), ivec3(np.int32(-5), np.int32(-1), np.int32(-121)))) ? 1 : -1] array8;
  float[all(equal((ivec3(np.int32(36), np.int32(32), np.int32(88)) ^ (~ abs(np.int32(0)))), ivec3(np.int32(-37), np.int32(-33), np.int32(-89)))) ? 1 : -1] array9;
  float[all(equal((ivec3(np.int32(59), np.int32(77), np.int32(68)) ^ (~ abs(np.int32(12)))), ivec3(np.int32(-56), np.int32(-66), np.int32(-73)))) ? 1 : -1] array10;
  float[all(equal((ivec3(np.int32(59), np.int32(77), np.int32(68)) ^ (~ abs(np.int32(-6)))), ivec3(np.int32(-62), np.int32(-76), np.int32(-67)))) ? 1 : -1] array11;
  float[all(equal((ivec3(np.int32(59), np.int32(77), np.int32(68)) ^ (~ abs(np.int32(76)))), ivec3(np.int32(-120), np.int32(-2), np.int32(-9)))) ? 1 : -1] array12;
  float[all(equal((ivec3(np.int32(59), np.int32(77), np.int32(68)) ^ (~ abs(np.int32(-32)))), ivec3(np.int32(-28), np.int32(-110), np.int32(-101)))) ? 1 : -1] array13;
  float[all(equal((ivec3(np.int32(59), np.int32(77), np.int32(68)) ^ (~ abs(np.int32(0)))), ivec3(np.int32(-60), np.int32(-78), np.int32(-69)))) ? 1 : -1] array14;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length() + array10.length() + array11.length() + array12.length() + array13.length() + array14.length());
}
