/* [config]
 * expect_result: pass
 * glsl_version: 4.00
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * sign(dvec2(np.float64(-1.5)lf, np.float64(-0.75)lf)) => dvec2(np.float64(-1.0)lf, np.float64(-1.0)lf)
 * sign(dvec2(np.float64(0.0)lf, np.float64(0.75)lf)) => dvec2(np.float64(0.0)lf, np.float64(1.0)lf)
 * sign(dvec2(np.float64(1.5)lf, np.float64(-1.5)lf)) => dvec2(np.float64(1.0)lf, np.float64(-1.0)lf)
 */
#version 400

void main()
{
  double[distance(sign(dvec2(np.float64(-1.5)lf, np.float64(-0.75)lf)), dvec2(np.float64(-1.0)lf, np.float64(-1.0)lf)) <= np.float64(1.4142135623730951e-05)lf ? 1 : -1] array0;
  double[distance(sign(dvec2(np.float64(0.0)lf, np.float64(0.75)lf)), dvec2(np.float64(0.0)lf, np.float64(1.0)lf)) <= np.float64(1e-05)lf ? 1 : -1] array1;
  double[distance(sign(dvec2(np.float64(1.5)lf, np.float64(-1.5)lf)), dvec2(np.float64(1.0)lf, np.float64(-1.0)lf)) <= np.float64(1.4142135623730951e-05)lf ? 1 : -1] array2;
  gl_Position = vec4(array0.length() + array1.length() + array2.length());
}
