/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * require_extensions: GL_ARB_gpu_shader_fp64
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * normalize(dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf)) => dvec2(np.float64(-0.08304547985373997)lf, np.float64(-0.9965457582448796)lf)
 * normalize(dvec2(np.float64(-0.42)lf, np.float64(0.48)lf)) => dvec2(np.float64(-0.6585046078685182)lf, np.float64(0.7525766947068779)lf)
 */
#version 150
#extension GL_ARB_gpu_shader_fp64 : require

void main()
{
  double[distance(normalize(dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf)), dvec2(np.float64(-0.08304547985373997)lf, np.float64(-0.9965457582448796)lf)) <= np.float64(9.999999999999999e-06)lf ? 1 : -1] array0;
  double[distance(normalize(dvec2(np.float64(-0.42)lf, np.float64(0.48)lf)), dvec2(np.float64(-0.6585046078685182)lf, np.float64(0.7525766947068779)lf)) <= np.float64(1e-05)lf ? 1 : -1] array1;
  gl_Position = vec4(array0.length() + array1.length());
}
