/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * require_extensions: GL_ARB_gpu_shader_fp64
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * outerProduct(dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf), dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf)) => dmat2(np.float64(0.010000000000000002)lf, np.float64(0.12)lf, np.float64(0.12)lf, np.float64(1.44)lf)
 * outerProduct(dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf), dvec2(np.float64(-0.42)lf, np.float64(0.48)lf)) => dmat2(np.float64(0.042)lf, np.float64(0.504)lf, np.float64(-0.048)lf, np.float64(-0.576)lf)
 * outerProduct(dvec2(np.float64(-0.42)lf, np.float64(0.48)lf), dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf)) => dmat2(np.float64(0.042)lf, np.float64(-0.048)lf, np.float64(0.504)lf, np.float64(-0.576)lf)
 * outerProduct(dvec2(np.float64(-0.42)lf, np.float64(0.48)lf), dvec2(np.float64(-0.42)lf, np.float64(0.48)lf)) => dmat2(np.float64(0.17639999999999997)lf, np.float64(-0.20159999999999997)lf, np.float64(-0.20159999999999997)lf, np.float64(0.2304)lf)
 */
#version 150
#extension GL_ARB_gpu_shader_fp64 : require

void main()
{
  double[(distance(outerProduct(dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf), dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf))[0], dvec2(np.float64(0.010000000000000002)lf, np.float64(0.12)lf)) * distance(outerProduct(dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf), dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf))[0], dvec2(np.float64(0.010000000000000002)lf, np.float64(0.12)lf))) + (distance(outerProduct(dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf), dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf))[1], dvec2(np.float64(0.12)lf, np.float64(1.44)lf)) * distance(outerProduct(dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf), dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf))[1], dvec2(np.float64(0.12)lf, np.float64(1.44)lf))) <= np.float64(2.1025e-10)lf ? 1 : -1] array0;
  double[(distance(outerProduct(dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf), dvec2(np.float64(-0.42)lf, np.float64(0.48)lf))[0], dvec2(np.float64(0.042)lf, np.float64(0.504)lf)) * distance(outerProduct(dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf), dvec2(np.float64(-0.42)lf, np.float64(0.48)lf))[0], dvec2(np.float64(0.042)lf, np.float64(0.504)lf))) + (distance(outerProduct(dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf), dvec2(np.float64(-0.42)lf, np.float64(0.48)lf))[1], dvec2(np.float64(-0.048)lf, np.float64(-0.576)lf)) * distance(outerProduct(dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf), dvec2(np.float64(-0.42)lf, np.float64(0.48)lf))[1], dvec2(np.float64(-0.048)lf, np.float64(-0.576)lf))) <= np.float64(5.898600000000001e-11)lf ? 1 : -1] array1;
  double[(distance(outerProduct(dvec2(np.float64(-0.42)lf, np.float64(0.48)lf), dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf))[0], dvec2(np.float64(0.042)lf, np.float64(-0.048)lf)) * distance(outerProduct(dvec2(np.float64(-0.42)lf, np.float64(0.48)lf), dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf))[0], dvec2(np.float64(0.042)lf, np.float64(-0.048)lf))) + (distance(outerProduct(dvec2(np.float64(-0.42)lf, np.float64(0.48)lf), dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf))[1], dvec2(np.float64(0.504)lf, np.float64(-0.576)lf)) * distance(outerProduct(dvec2(np.float64(-0.42)lf, np.float64(0.48)lf), dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf))[1], dvec2(np.float64(0.504)lf, np.float64(-0.576)lf))) <= np.float64(5.898599999999999e-11)lf ? 1 : -1] array2;
  double[(distance(outerProduct(dvec2(np.float64(-0.42)lf, np.float64(0.48)lf), dvec2(np.float64(-0.42)lf, np.float64(0.48)lf))[0], dvec2(np.float64(0.17639999999999997)lf, np.float64(-0.20159999999999997)lf)) * distance(outerProduct(dvec2(np.float64(-0.42)lf, np.float64(0.48)lf), dvec2(np.float64(-0.42)lf, np.float64(0.48)lf))[0], dvec2(np.float64(0.17639999999999997)lf, np.float64(-0.20159999999999997)lf))) + (distance(outerProduct(dvec2(np.float64(-0.42)lf, np.float64(0.48)lf), dvec2(np.float64(-0.42)lf, np.float64(0.48)lf))[1], dvec2(np.float64(-0.20159999999999997)lf, np.float64(0.2304)lf)) * distance(outerProduct(dvec2(np.float64(-0.42)lf, np.float64(0.48)lf), dvec2(np.float64(-0.42)lf, np.float64(0.48)lf))[1], dvec2(np.float64(-0.20159999999999997)lf, np.float64(0.2304)lf))) <= np.float64(1.6548623999999998e-11)lf ? 1 : -1] array3;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
