/* [config]
 * expect_result: pass
 * glsl_version: 4.00
 * require_extensions: GL_ARB_gpu_shader_int64
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (u64vec2(np.uint64(10)ul, np.uint64(12)ul) * u64vec2(np.uint64(10)ul, np.uint64(12)ul)) => u64vec2(np.uint64(100)ul, np.uint64(144)ul)
 * (u64vec2(np.uint64(10)ul, np.uint64(12)ul) * u64vec2(np.uint64(42)ul, np.uint64(48)ul)) => u64vec2(np.uint64(420)ul, np.uint64(576)ul)
 * (u64vec2(np.uint64(42)ul, np.uint64(48)ul) * u64vec2(np.uint64(10)ul, np.uint64(12)ul)) => u64vec2(np.uint64(420)ul, np.uint64(576)ul)
 * (u64vec2(np.uint64(42)ul, np.uint64(48)ul) * u64vec2(np.uint64(42)ul, np.uint64(48)ul)) => u64vec2(np.uint64(1764)ul, np.uint64(2304)ul)
 */
#version 400
#extension GL_ARB_gpu_shader_int64 : require

void main()
{
  float[all(equal((u64vec2(np.uint64(10)ul, np.uint64(12)ul) * u64vec2(np.uint64(10)ul, np.uint64(12)ul)), u64vec2(np.uint64(100)ul, np.uint64(144)ul))) ? 1 : -1] array0;
  float[all(equal((u64vec2(np.uint64(10)ul, np.uint64(12)ul) * u64vec2(np.uint64(42)ul, np.uint64(48)ul)), u64vec2(np.uint64(420)ul, np.uint64(576)ul))) ? 1 : -1] array1;
  float[all(equal((u64vec2(np.uint64(42)ul, np.uint64(48)ul) * u64vec2(np.uint64(10)ul, np.uint64(12)ul)), u64vec2(np.uint64(420)ul, np.uint64(576)ul))) ? 1 : -1] array2;
  float[all(equal((u64vec2(np.uint64(42)ul, np.uint64(48)ul) * u64vec2(np.uint64(42)ul, np.uint64(48)ul)), u64vec2(np.uint64(1764)ul, np.uint64(2304)ul))) ? 1 : -1] array3;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
