/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (ivec3(np.int32(-36), np.int32(32), np.int32(-88)) / np.int32(12)) => ivec3(np.int32(-3), np.int32(2), np.int32(-7))
 * (ivec3(np.int32(-36), np.int32(32), np.int32(-88)) / np.int32(-6)) => ivec3(np.int32(6), np.int32(-5), np.int32(14))
 * (ivec3(np.int32(-36), np.int32(32), np.int32(-88)) / np.int32(76)) => ivec3(np.int32(0), np.int32(0), np.int32(-1))
 * (ivec3(np.int32(-36), np.int32(32), np.int32(-88)) / np.int32(-32)) => ivec3(np.int32(1), np.int32(-1), np.int32(2))
 * (ivec3(np.int32(36), np.int32(32), np.int32(88)) / np.int32(12)) => ivec3(np.int32(3), np.int32(2), np.int32(7))
 * (ivec3(np.int32(36), np.int32(32), np.int32(88)) / np.int32(-6)) => ivec3(np.int32(-6), np.int32(-5), np.int32(-14))
 * (ivec3(np.int32(36), np.int32(32), np.int32(88)) / np.int32(76)) => ivec3(np.int32(0), np.int32(0), np.int32(1))
 * (ivec3(np.int32(36), np.int32(32), np.int32(88)) / np.int32(-32)) => ivec3(np.int32(-1), np.int32(-1), np.int32(-2))
 * (ivec3(np.int32(59), np.int32(77), np.int32(68)) / np.int32(12)) => ivec3(np.int32(4), np.int32(6), np.int32(5))
 * (ivec3(np.int32(59), np.int32(77), np.int32(68)) / np.int32(-6)) => ivec3(np.int32(-9), np.int32(-12), np.int32(-11))
 * (ivec3(np.int32(59), np.int32(77), np.int32(68)) / np.int32(76)) => ivec3(np.int32(0), np.int32(1), np.int32(0))
 * (ivec3(np.int32(59), np.int32(77), np.int32(68)) / np.int32(-32)) => ivec3(np.int32(-1), np.int32(-2), np.int32(-2))
 */
#version 120

void main()
{
  float[all(equal((ivec3(np.int32(-36), np.int32(32), np.int32(-88)) / np.int32(12)), ivec3(np.int32(-3), np.int32(2), np.int32(-7)))) ? 1 : -1] array0;
  float[all(equal((ivec3(np.int32(-36), np.int32(32), np.int32(-88)) / np.int32(-6)), ivec3(np.int32(6), np.int32(-5), np.int32(14)))) ? 1 : -1] array1;
  float[all(equal((ivec3(np.int32(-36), np.int32(32), np.int32(-88)) / np.int32(76)), ivec3(np.int32(0), np.int32(0), np.int32(-1)))) ? 1 : -1] array2;
  float[all(equal((ivec3(np.int32(-36), np.int32(32), np.int32(-88)) / np.int32(-32)), ivec3(np.int32(1), np.int32(-1), np.int32(2)))) ? 1 : -1] array3;
  float[all(equal((ivec3(np.int32(36), np.int32(32), np.int32(88)) / np.int32(12)), ivec3(np.int32(3), np.int32(2), np.int32(7)))) ? 1 : -1] array4;
  float[all(equal((ivec3(np.int32(36), np.int32(32), np.int32(88)) / np.int32(-6)), ivec3(np.int32(-6), np.int32(-5), np.int32(-14)))) ? 1 : -1] array5;
  float[all(equal((ivec3(np.int32(36), np.int32(32), np.int32(88)) / np.int32(76)), ivec3(np.int32(0), np.int32(0), np.int32(1)))) ? 1 : -1] array6;
  float[all(equal((ivec3(np.int32(36), np.int32(32), np.int32(88)) / np.int32(-32)), ivec3(np.int32(-1), np.int32(-1), np.int32(-2)))) ? 1 : -1] array7;
  float[all(equal((ivec3(np.int32(59), np.int32(77), np.int32(68)) / np.int32(12)), ivec3(np.int32(4), np.int32(6), np.int32(5)))) ? 1 : -1] array8;
  float[all(equal((ivec3(np.int32(59), np.int32(77), np.int32(68)) / np.int32(-6)), ivec3(np.int32(-9), np.int32(-12), np.int32(-11)))) ? 1 : -1] array9;
  float[all(equal((ivec3(np.int32(59), np.int32(77), np.int32(68)) / np.int32(76)), ivec3(np.int32(0), np.int32(1), np.int32(0)))) ? 1 : -1] array10;
  float[all(equal((ivec3(np.int32(59), np.int32(77), np.int32(68)) / np.int32(-32)), ivec3(np.int32(-1), np.int32(-2), np.int32(-2)))) ? 1 : -1] array11;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length() + array10.length() + array11.length());
}
