/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * acosh(np.float32(1.0)) => np.float32(0.0)
 * acosh(np.float32(1.0)) => np.float32(0.0)
 * acosh(np.float32(1.1)) => np.float32(0.44356832)
 * acosh(np.float32(2.0)) => np.float32(1.316958)
 * acosh(np.float32(11.0)) => np.float32(3.08897)
 * acosh(np.float32(10000000000.0)) => np.float32(23.718998)
 */
#version 130

void main()
{
  float[distance(acosh(np.float32(1.0)), np.float32(0.0)) <= np.float32(1e-04) ? 1 : -1] array0;
  float[distance(acosh(np.float32(1.0)), np.float32(0.0)) <= np.float32(1e-04) ? 1 : -1] array1;
  float[distance(acosh(np.float32(1.1)), np.float32(0.44356832)) <= np.float32(0.0004435683) ? 1 : -1] array2;
  float[distance(acosh(np.float32(2.0)), np.float32(1.316958)) <= np.float32(0.0013169579) ? 1 : -1] array3;
  float[distance(acosh(np.float32(11.0)), np.float32(3.08897)) <= np.float32(0.00308897) ? 1 : -1] array4;
  float[distance(acosh(np.float32(10000000000.0)), np.float32(23.718998)) <= np.float32(0.023718998) ? 1 : -1] array5;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length());
}
