/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (np.int32(12) & (- ivec2(np.int32(38), np.int32(35)))) => ivec2(np.int32(8), np.int32(12))
 * (np.int32(12) & (- ivec2(np.int32(64), np.int32(-9)))) => ivec2(np.int32(0), np.int32(8))
 * (np.int32(12) & (- ivec2(np.int32(64), np.int32(9)))) => ivec2(np.int32(0), np.int32(4))
 * (np.int32(-6) & (- ivec2(np.int32(38), np.int32(35)))) => ivec2(np.int32(-38), np.int32(-40))
 * (np.int32(-6) & (- ivec2(np.int32(64), np.int32(-9)))) => ivec2(np.int32(-64), np.int32(8))
 * (np.int32(-6) & (- ivec2(np.int32(64), np.int32(9)))) => ivec2(np.int32(-64), np.int32(-14))
 * (np.int32(76) & (- ivec2(np.int32(38), np.int32(35)))) => ivec2(np.int32(72), np.int32(76))
 * (np.int32(76) & (- ivec2(np.int32(64), np.int32(-9)))) => ivec2(np.int32(64), np.int32(8))
 * (np.int32(76) & (- ivec2(np.int32(64), np.int32(9)))) => ivec2(np.int32(64), np.int32(68))
 * (np.int32(-32) & (- ivec2(np.int32(38), np.int32(35)))) => ivec2(np.int32(-64), np.int32(-64))
 * (np.int32(-32) & (- ivec2(np.int32(64), np.int32(-9)))) => ivec2(np.int32(-64), np.int32(0))
 * (np.int32(-32) & (- ivec2(np.int32(64), np.int32(9)))) => ivec2(np.int32(-64), np.int32(-32))
 * (np.int32(0) & (- ivec2(np.int32(38), np.int32(35)))) => ivec2(np.int32(0), np.int32(0))
 * (np.int32(0) & (- ivec2(np.int32(64), np.int32(-9)))) => ivec2(np.int32(0), np.int32(0))
 * (np.int32(0) & (- ivec2(np.int32(64), np.int32(9)))) => ivec2(np.int32(0), np.int32(0))
 */
#version 130

void main()
{
  float[all(equal((np.int32(12) & (- ivec2(np.int32(38), np.int32(35)))), ivec2(np.int32(8), np.int32(12)))) ? 1 : -1] array0;
  float[all(equal((np.int32(12) & (- ivec2(np.int32(64), np.int32(-9)))), ivec2(np.int32(0), np.int32(8)))) ? 1 : -1] array1;
  float[all(equal((np.int32(12) & (- ivec2(np.int32(64), np.int32(9)))), ivec2(np.int32(0), np.int32(4)))) ? 1 : -1] array2;
  float[all(equal((np.int32(-6) & (- ivec2(np.int32(38), np.int32(35)))), ivec2(np.int32(-38), np.int32(-40)))) ? 1 : -1] array3;
  float[all(equal((np.int32(-6) & (- ivec2(np.int32(64), np.int32(-9)))), ivec2(np.int32(-64), np.int32(8)))) ? 1 : -1] array4;
  float[all(equal((np.int32(-6) & (- ivec2(np.int32(64), np.int32(9)))), ivec2(np.int32(-64), np.int32(-14)))) ? 1 : -1] array5;
  float[all(equal((np.int32(76) & (- ivec2(np.int32(38), np.int32(35)))), ivec2(np.int32(72), np.int32(76)))) ? 1 : -1] array6;
  float[all(equal((np.int32(76) & (- ivec2(np.int32(64), np.int32(-9)))), ivec2(np.int32(64), np.int32(8)))) ? 1 : -1] array7;
  float[all(equal((np.int32(76) & (- ivec2(np.int32(64), np.int32(9)))), ivec2(np.int32(64), np.int32(68)))) ? 1 : -1] array8;
  float[all(equal((np.int32(-32) & (- ivec2(np.int32(38), np.int32(35)))), ivec2(np.int32(-64), np.int32(-64)))) ? 1 : -1] array9;
  float[all(equal((np.int32(-32) & (- ivec2(np.int32(64), np.int32(-9)))), ivec2(np.int32(-64), np.int32(0)))) ? 1 : -1] array10;
  float[all(equal((np.int32(-32) & (- ivec2(np.int32(64), np.int32(9)))), ivec2(np.int32(-64), np.int32(-32)))) ? 1 : -1] array11;
  float[all(equal((np.int32(0) & (- ivec2(np.int32(38), np.int32(35)))), ivec2(np.int32(0), np.int32(0)))) ? 1 : -1] array12;
  float[all(equal((np.int32(0) & (- ivec2(np.int32(64), np.int32(-9)))), ivec2(np.int32(0), np.int32(0)))) ? 1 : -1] array13;
  float[all(equal((np.int32(0) & (- ivec2(np.int32(64), np.int32(9)))), ivec2(np.int32(0), np.int32(0)))) ? 1 : -1] array14;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length() + array10.length() + array11.length() + array12.length() + array13.length() + array14.length());
}
