/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u) & (~ np.uint32(0)u)) => uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u)
 * (uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u) & (~ np.uint32(6)u)) => uvec3(np.uint32(32)u, np.uint32(32)u, np.uint32(88)u)
 * (uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u) & (~ np.uint32(12)u)) => uvec3(np.uint32(32)u, np.uint32(32)u, np.uint32(80)u)
 * (uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u) & (~ np.uint32(32)u)) => uvec3(np.uint32(4)u, np.uint32(0)u, np.uint32(88)u)
 * (uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u) & (~ np.uint32(74)u)) => uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(16)u)
 * (uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u) & (~ np.uint32(0)u)) => uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u)
 * (uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u) & (~ np.uint32(6)u)) => uvec3(np.uint32(57)u, np.uint32(73)u, np.uint32(64)u)
 * (uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u) & (~ np.uint32(12)u)) => uvec3(np.uint32(51)u, np.uint32(65)u, np.uint32(64)u)
 * (uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u) & (~ np.uint32(32)u)) => uvec3(np.uint32(27)u, np.uint32(77)u, np.uint32(68)u)
 * (uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u) & (~ np.uint32(74)u)) => uvec3(np.uint32(49)u, np.uint32(5)u, np.uint32(4)u)
 */
#version 130

void main()
{
  float[all(equal((uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u) & (~ np.uint32(0)u)), uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u))) ? 1 : -1] array0;
  float[all(equal((uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u) & (~ np.uint32(6)u)), uvec3(np.uint32(32)u, np.uint32(32)u, np.uint32(88)u))) ? 1 : -1] array1;
  float[all(equal((uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u) & (~ np.uint32(12)u)), uvec3(np.uint32(32)u, np.uint32(32)u, np.uint32(80)u))) ? 1 : -1] array2;
  float[all(equal((uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u) & (~ np.uint32(32)u)), uvec3(np.uint32(4)u, np.uint32(0)u, np.uint32(88)u))) ? 1 : -1] array3;
  float[all(equal((uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u) & (~ np.uint32(74)u)), uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(16)u))) ? 1 : -1] array4;
  float[all(equal((uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u) & (~ np.uint32(0)u)), uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u))) ? 1 : -1] array5;
  float[all(equal((uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u) & (~ np.uint32(6)u)), uvec3(np.uint32(57)u, np.uint32(73)u, np.uint32(64)u))) ? 1 : -1] array6;
  float[all(equal((uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u) & (~ np.uint32(12)u)), uvec3(np.uint32(51)u, np.uint32(65)u, np.uint32(64)u))) ? 1 : -1] array7;
  float[all(equal((uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u) & (~ np.uint32(32)u)), uvec3(np.uint32(27)u, np.uint32(77)u, np.uint32(68)u))) ? 1 : -1] array8;
  float[all(equal((uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u) & (~ np.uint32(74)u)), uvec3(np.uint32(49)u, np.uint32(5)u, np.uint32(4)u))) ? 1 : -1] array9;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length());
}
