/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (uvec3(np.uint32(22)u, np.uint32(23)u, np.uint32(4)u) << np.uint32(0)u) => uvec3(np.uint32(22)u, np.uint32(23)u, np.uint32(4)u)
 * (uvec3(np.uint32(22)u, np.uint32(23)u, np.uint32(4)u) << np.uint32(1)u) => uvec3(np.uint32(44)u, np.uint32(46)u, np.uint32(8)u)
 * (uvec3(np.uint32(22)u, np.uint32(23)u, np.uint32(4)u) << np.uint32(2)u) => uvec3(np.uint32(88)u, np.uint32(92)u, np.uint32(16)u)
 * (uvec3(np.uint32(22)u, np.uint32(23)u, np.uint32(4)u) << np.uint32(5)u) => uvec3(np.uint32(704)u, np.uint32(736)u, np.uint32(128)u)
 * (uvec3(np.uint32(22)u, np.uint32(23)u, np.uint32(4)u) << np.uint32(25)u) => uvec3(np.uint32(738197504)u, np.uint32(771751936)u, np.uint32(134217728)u)
 * (uvec3(np.uint32(22)u, np.uint32(23)u, np.uint32(4)u) << np.uint32(31)u) => uvec3(np.uint32(0)u, np.uint32(2147483648)u, np.uint32(0)u)
 * (uvec3(np.uint32(19)u, np.uint32(1)u, np.uint32(13)u) << np.uint32(0)u) => uvec3(np.uint32(19)u, np.uint32(1)u, np.uint32(13)u)
 * (uvec3(np.uint32(19)u, np.uint32(1)u, np.uint32(13)u) << np.uint32(1)u) => uvec3(np.uint32(38)u, np.uint32(2)u, np.uint32(26)u)
 * (uvec3(np.uint32(19)u, np.uint32(1)u, np.uint32(13)u) << np.uint32(2)u) => uvec3(np.uint32(76)u, np.uint32(4)u, np.uint32(52)u)
 * (uvec3(np.uint32(19)u, np.uint32(1)u, np.uint32(13)u) << np.uint32(5)u) => uvec3(np.uint32(608)u, np.uint32(32)u, np.uint32(416)u)
 * (uvec3(np.uint32(19)u, np.uint32(1)u, np.uint32(13)u) << np.uint32(25)u) => uvec3(np.uint32(637534208)u, np.uint32(33554432)u, np.uint32(436207616)u)
 * (uvec3(np.uint32(19)u, np.uint32(1)u, np.uint32(13)u) << np.uint32(31)u) => uvec3(np.uint32(2147483648)u, np.uint32(2147483648)u, np.uint32(2147483648)u)
 */
#version 130

void main()
{
  float[all(equal((uvec3(np.uint32(22)u, np.uint32(23)u, np.uint32(4)u) << np.uint32(0)u), uvec3(np.uint32(22)u, np.uint32(23)u, np.uint32(4)u))) ? 1 : -1] array0;
  float[all(equal((uvec3(np.uint32(22)u, np.uint32(23)u, np.uint32(4)u) << np.uint32(1)u), uvec3(np.uint32(44)u, np.uint32(46)u, np.uint32(8)u))) ? 1 : -1] array1;
  float[all(equal((uvec3(np.uint32(22)u, np.uint32(23)u, np.uint32(4)u) << np.uint32(2)u), uvec3(np.uint32(88)u, np.uint32(92)u, np.uint32(16)u))) ? 1 : -1] array2;
  float[all(equal((uvec3(np.uint32(22)u, np.uint32(23)u, np.uint32(4)u) << np.uint32(5)u), uvec3(np.uint32(704)u, np.uint32(736)u, np.uint32(128)u))) ? 1 : -1] array3;
  float[all(equal((uvec3(np.uint32(22)u, np.uint32(23)u, np.uint32(4)u) << np.uint32(25)u), uvec3(np.uint32(738197504)u, np.uint32(771751936)u, np.uint32(134217728)u))) ? 1 : -1] array4;
  float[all(equal((uvec3(np.uint32(22)u, np.uint32(23)u, np.uint32(4)u) << np.uint32(31)u), uvec3(np.uint32(0)u, np.uint32(2147483648)u, np.uint32(0)u))) ? 1 : -1] array5;
  float[all(equal((uvec3(np.uint32(19)u, np.uint32(1)u, np.uint32(13)u) << np.uint32(0)u), uvec3(np.uint32(19)u, np.uint32(1)u, np.uint32(13)u))) ? 1 : -1] array6;
  float[all(equal((uvec3(np.uint32(19)u, np.uint32(1)u, np.uint32(13)u) << np.uint32(1)u), uvec3(np.uint32(38)u, np.uint32(2)u, np.uint32(26)u))) ? 1 : -1] array7;
  float[all(equal((uvec3(np.uint32(19)u, np.uint32(1)u, np.uint32(13)u) << np.uint32(2)u), uvec3(np.uint32(76)u, np.uint32(4)u, np.uint32(52)u))) ? 1 : -1] array8;
  float[all(equal((uvec3(np.uint32(19)u, np.uint32(1)u, np.uint32(13)u) << np.uint32(5)u), uvec3(np.uint32(608)u, np.uint32(32)u, np.uint32(416)u))) ? 1 : -1] array9;
  float[all(equal((uvec3(np.uint32(19)u, np.uint32(1)u, np.uint32(13)u) << np.uint32(25)u), uvec3(np.uint32(637534208)u, np.uint32(33554432)u, np.uint32(436207616)u))) ? 1 : -1] array10;
  float[all(equal((uvec3(np.uint32(19)u, np.uint32(1)u, np.uint32(13)u) << np.uint32(31)u), uvec3(np.uint32(2147483648)u, np.uint32(2147483648)u, np.uint32(2147483648)u))) ? 1 : -1] array11;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length() + array10.length() + array11.length());
}
