/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u) != uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u)) => false
 * (uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u) != uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u)) => true
 * (uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u) != uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u)) => true
 * (uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u) != uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u)) => false
 */
#version 130

void main()
{
  float[(uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u) != uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u)) == false ? 1 : -1] array0;
  float[(uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u) != uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u)) == true ? 1 : -1] array1;
  float[(uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u) != uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u)) == true ? 1 : -1] array2;
  float[(uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u) != uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u)) == false ? 1 : -1] array3;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
